
QGIS Application - Bug report #14577

No python module "future"

2016-03-28 09:24 AM - Mikhail Tchernychev

Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:master Regression?: No

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 22550

Description

Hi,

There was an error during master Osgeo4w update:

Package: Unknown package

    python-future.bat exit code 1

Then when attempting to start QGIS:

Couldn't load QGIS utils.

Python support will be disabled.

Traceback (most recent call last):

  File "", line 1, in 

  File "C:/OSGeo4W/apps/qgis-dev/./python\\qgis\\utils.py", line 20, in 

    from future import standard_library

ImportError: No module named future

Python version:

2.7.4 (default, Apr  6 2013, 19:54:46) [MSC v.1500 32 bit (Intel)]

QGIS version:

2.15.0-Master 'Master', 4e60daf

Python path:

['C:/OSGeo4W/apps/qgis-dev/./python', u'C:/Users/misha/.qgis2/python', u'C:/Users/misha/.qgis2/python/plugins',

'C:/OSGeo4W/apps/qgis-dev/./python/plugins', 'C:\\\\OSGeo4W\\\\apps\\\\orfeotoolbox\\\\python', 'C:\\\\OSGeo4W\\\\bin',

'C:\\\\OSGeo4W\\\\bin\\\\python27.zip', 'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\DLLs', 'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\plat-win', 'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\lib-tk',

'C:\\\\OSGeo4W\\\\apps\\\\Python27', 'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\PIL',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\jinja2-2.7.2-py2.7.egg',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\markupsafe-0.23-py2.7-win32.egg',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\python_dateutil-2.2-py2.7.egg',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\pytz-2014.2-py2.7.egg',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\win32',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\win32\\\\lib',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\Pythonwin',
'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\Shapely-1.2.18-py2.7-win32.egg',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\six-1.10.0-py2.7.egg',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\wx-2.8-msw-unicode']

Python is disabled.

It seems one of the packages is missing.

Thank you

Mikhail

Related issues:

Duplicated by QGIS Application - Bug report # 14936: Add python-future as a d... Closed 2016-06-01

Duplicated by QGIS Application - Bug report # 14986: python-future on 16.04 Closed 2016-06-08

Associated revisions

Revision f968f994 - 2016-04-04 08:40 PM - Jürgen Fischer

debian packaging: no internal future only stretch sid wily xenial

(fixes #14577)

Revision 58957805 - 2016-04-07 09:08 AM - Jürgen Fischer

fix internal future install (fixes #14577, take II)

History

#1 - 2016-03-28 01:21 PM - Anita Graser

- Category set to Build/Install

- Status changed from Open to Closed

- Operating System set to Windows

- Resolution set to fixed/implemented

Just updated with OSGeo4W and everything seems fine now. Please reopen if necessary.

#2 - 2016-03-29 08:59 AM - Mikhail Tchernychev

- Status changed from Closed to Reopened

Hi,

No, still the same. I ran Osgeo4w installer today it only updated Grass. Then I re-installed QGIS

and also "python-future". Still the same error. Python is disabled in QGIS.

Mikhail

#3 - 2016-03-29 09:08 AM - Mikhail Tchernychev
It affects 2.15 master, not 2.14

#4 - 2016-03-30 12:10 PM - Anita Graser

- Resolution deleted (fixed/implemented)

- Operating System deleted (Windows)

This is also discussed in http://osgeo-org.1560.x6.nabble.com/QGIS-has-no-future-tc5258029.html where Jürgen suggests: "The packages are thin

wrappers around pip, that actually installs or uninstalls the package.  So they involve downloads from pypi - I guess it's a proxy issue that blocks that for

you (%OSGEO4W_ROOT%/var/log/setup.log(.full) should have more details)."

#5 - 2016-03-30 01:42 PM - Jürgen Fischer

- Status changed from Reopened to Feedback

Anita Graser wrote:

This is also discussed in http://osgeo-org.1560.x6.nabble.com/QGIS-has-no-future-tc5258029.html where Jürgen suggests: "The packages are thin

wrappers around pip, that actually installs or uninstalls the package.  So they involve downloads from pypi - I guess it's a proxy issue that blocks

that for you (%OSGEO4W_ROOT%/var/log/setup.log(.full) should have more details)."

Which is meanwhile outdated - as the pip bases packages were replaces with packages that contain the files installed via pip instead of just scripts calling

it.

#6 - 2016-03-31 09:29 AM - Mikhail Tchernychev

Hi,

It all works now. Thank you very much!

#7 - 2016-03-31 12:26 PM - Jürgen Fischer

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

#8 - 2016-04-04 09:38 AM - Mikhail Tchernychev

- Status changed from Closed to Reopened

- Priority changed from Severe/Regression to Normal

- Operating System set to Linux

Hi,

Sorry for returning to this issue - now it is under Linux Ubunty 14.04 (trusty).  The affected version is master.

After I updated software and tried to start QGIS I got the following:

Couldn't load QGIS utils.

Python support will be disabled.
Traceback (most recent call last):

  File "", line 1, in 

  File "/usr/lib/python2.7/dist-packages/qgis/utils.py", line 20, in 

    from future import standard_library

ImportError: No module named future

Python version:

2.7.6 (default, Jun 22 2015, 18:01:27) 

[GCC 4.8.2]

QGIS version:

2.15.0-Master 'Master', exported

Python path:

['/usr/share/qgis/python', u'/home/misha/.qgis2/python', u'/home/misha/.qgis2/python/plugins', '/usr/share/qgis/python/plugins', '/usr/lib/python2.7',

'/usr/lib/python2.7/plat-x86_64-linux-gnu', '/usr/lib/python2.7/lib-tk', '/usr/lib/python2.7/lib-old', '/usr/lib/python2.7/lib-dynload',

'/usr/local/lib/python2.7/dist-packages', '/usr/lib/python2.7/dist-packages', '/usr/lib/python2.7/dist-packages/PILcompat',

'/usr/lib/python2.7/dist-packages/gtk-2.0', '/usr/lib/pymodules/python2.7', '/usr/lib/python2.7/dist-packages/ubuntu-sso-client',

'/usr/lib/python2.7/dist-packages/wx-2.8-gtk2-unicode']

Apparently it is the same or similar problem.

Got the same problem on 32 and 64 bit PCs

Thank you

Mikhail

#9 - 2016-04-04 11:41 AM - Jürgen Fischer

- Status changed from Reopened to Closed

Fixed in changeset commit:"f968f994eacc21a4d7a85e3079e68875e00b4437".

#10 - 2016-04-05 09:02 AM - Mikhail Tchernychev

- Status changed from Closed to Reopened

Updated master this morning on both PCs. Still the same problem.

#11 - 2016-04-06 08:21 AM - Gavin Fleming

I'm getting the same error

Ubuntu 15.10 64 bit using master I built from a pull a few hours ago.

#12 - 2016-04-07 12:08 AM - Jürgen Fischer

- Status changed from Reopened to Closed
Fixed in changeset commit:"589578055366e9771ebc6ae57cb90da808b215b6".
